Page 1 of 1

Nvidia GeForce 6/7 are now "legacy support"

Posted: Thu Sep 13, 2012 9:35 am
by zerozero
the current 304.* nvidia driver will be the last to actively support the Geforce 6 and GeForce 7 graphic cards; as soon as nvidia moves to a new mainline driver the cards above will be supported by a new legacy branch (304 legacy driver)
support (as in critical bug fixes and kernel&X support) will last until 2017.
Once 304.* becomes a legacy branch (i.e. when official support moves to a future branch), support for new Linux kernels and X servers, as well as fixes for critical bugs, will be included in 304.* legacy releases through the end of 2017.
please refer to this page to know exactly the cards affected
http://nvidia.custhelp.com/app/answers/detail/a_id/3142

and here the full list of legacy drivers and the supported cards
http://www.nvidia.com/object/IO_32667.html

Re: Nvidia GeForce 6/7 are now "legacy support"

Posted: Mon Jun 02, 2014 3:58 am
by chemicalfan
Still much better than AMD, who have already dropped even kernel & X support for my HD4850 (2 generations newer than the GeForce 6/7 series)

Re: Nvidia GeForce 6/7 are now "legacy support"

Posted: Tue May 26, 2015 9:43 pm
by csgeek
I was going to post a question about this. I'm having a hell of a time getting my GeForce GTX 650 to work properly with the latest 17 release of Mint.

One thing that I find a bit odd. The nvidia drivers seems to be having some issues as mentioned above. There's a few posts about kernel settings and other tidbits to try to make it work, but seeing as I
currently don't have the time to address this, I decided to revert back to the nouveau driver.

Anyone know why the nouveau driver would be affected by this same bug? It's exhibiting the same behavior.

(Just for reference. atm, if I try to run anything GLX related my X11 goes down. glxgears = xorg crash, chrome = xorg crash, keepassx = xorg crash)

On the upside, chromium does work fine.

Any suggestion on how to address this besides buying an updated video card?

Re: Nvidia GeForce 6/7 are now "legacy support"

Posted: Fri Jan 22, 2016 6:17 pm
by nedim.hx
Can anyone help me to solve this issue
http://forums.linuxmint.com/viewtopic.php?f=59&t=214636


Regards

Re: Nvidia GeForce 6/7 are now "legacy support"

Posted: Sat Jul 23, 2016 6:30 am
by Mister.T
Not sure how relevant this is, but I'm running the 340.96 driver for both mint 17.3 and LMDE 2, using both GT440 and GTX645 cards and everything seems to work perfectly.